メインコンテンツへスキップ
GET
/
api
/
publicapi
/
v1
/
transactions
/
active
指定された Parameter を持つアクティブなトランザクションを返します
curl --request GET \
  --url https://vantage-us.abbyy.com/api/publicapi/v1/transactions/active \
  --header 'Authorization: Bearer <token>'
{
  "items": [
    {
      "createTimeUtc": "2023-11-07T05:31:56Z",
      "documentCount": 123,
      "fileParameters": [
        {
          "isReadOnly": true,
          "key": "<string>",
          "value": "<string>"
        }
      ],
      "reviewerEmail": "<string>",
      "reviewerName": "<string>",
      "skillId": "<string>",
      "skillVersion": 123,
      "stageName": "<string>",
      "transactionId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "transactionParameters": [
        {
          "isReadOnly": true,
          "key": "<string>",
          "value": "<string>"
        }
      ]
    }
  ],
  "totalItemCount": 123
}

Documentation Index

Fetch the complete documentation index at: https://docs.abbyy.com/llms.txt

Use this file to discover all available pages before exploring further.

承認

Authorization
string
header
必須

The access token received from the authorization server in the OAuth 2.0 flow.

クエリパラメータ

StageType
string

トランザクションの現在のステージ

StageName
string

トランザクションの現在のステージ名 トランザクションの実際のステージ名

SkillId
string

利用可能な Skill の ID(権限に基づく)。この field を空にすると、利用可能なすべての Skill がフィルターとして使用されます。 利用可能な Skill の ID(権限に基づく)。この field を空のままにすると、利用可能なすべての Skill がフィルタに使用されます。

SkillVersion
string

バージョン別にフィルターできるのは、利用可能な Skill のみです バージョンでフィルタリングできるのは、利用可能なSkillのみです

StartDate
string<date-time>

トランザクションの最小作成日時。 時刻は UTC 形式で指定する必要があります。 トランザクション作成時刻の最小値。 時刻は UTC 形式で指定する必要があります。

EndDate
string

トランザクションの作成時刻の上限。 時刻は UTC 形式で指定する必要があります。 指定されていない場合は、現在の UTC 時刻が使用されます。

TransactionParameters
object[]

トランザクションのParameterリスト。 取得したトランザクションには、すべてのParameterが含まれている必要があります。 トランザクションのParameter一覧。 取得されたトランザクションは、すべてのParameterを含んでいる必要があります

DocumentParameters
object[]

Document の Parameter 一覧。 取得されたトランザクションには、すべての Parameter が含まれている必要があります。 ドキュメントの Parameter 一覧。 取得されたトランザクションには、すべての Parameter が含まれている必要があります。

Offset
integer<int32>

ページネーションオフセット(デフォルト: 0) ページネーションのオフセット(デフォルト値: 0)

Limit
integer<int32>

ページネーション制限 ページ数の上限

レスポンス

トランザクションとそのドキュメントの登録 Parameter およびステージ情報を含むトランザクション

Swagger 専用です

items
object[] | null
totalItemCount
integer<int32>